<template>
  <div>
    <h1 class="mb-8">Do you currently have any of the following conditions?</h1>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin, referMixin],
  name: "YourHealth11",
  data() {
    return {
      choices: [
        'Lupus',
        'Thyroid disease',
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_11')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes('Lupus')) {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like a prescription formula isn’t suitable for individuals suffering from Lupus. Contact your primary care physician to discuss other treatment options, and explore our non prescription offerings:')
      } else if (this.checkboxSelected.includes('Thyroid disease')) {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like a prescription formula isn’t suitable for individuals suffering from Thyroid Disease. Contact your primary care physician to discuss other treatment options, and explore our non prescription offerings:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
